## kactivities-kf5 5.26.0

=== debian/changelog ===
kactivities-kf5 (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Add kactivities-bin pkg for kactivities-cli
  * Refresh symbols
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:40:37 +0100

kactivities-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:36:55 +0000

kactivities-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release (5.23.0)

  [ Rik Mills ]
  * Refresh symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:07:12 +0200

kactivities-kf5 (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Bump to latest. 
  * Make kactivitymanagerd a recommend rather than a hard
    depend seeing as it is in the Plasma release cycle, this 
    will allow for kactivities to build with the frameworks
    cycle. 
  * Debian merge: No remaining changes. 
  * Revert last commit, breaks things. 
  * Fix the qml* install files. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Add transitional package qml-module-org-kde-extensionplugin
    - Removed install file as files should now be installed by
      qml-module-org-kde-activities package
  * Fix breaks and replaces for qml-module-org-kde-extensionplugin

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:07:50 -0700

kactivities-kf5 (5.19.0-1ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * Merged with Debian
  * New upstream release
  * Fixing problem in control caused by merge
  * Removing kactivities packages and files in it,
    as upstream has split into new repositories
  * Depend on new package kactivitymanagerd
  * Fixing install file and refreshing symbols

  [ Scarlett Clark ]
  * Rename qml install file to match package name so 
    files actually get installed.
  * git add the file.... 

 -- Clive Johnston <clivejo@aol.com>  Thu, 25 Feb 2016 22:40:03 +0000

kactivities-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:41 +0100

kactivities-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:42 +0100

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.11),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5dbusaddons-dev (>= 5.26.0~),
               libkf5declarative-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5kcmutils-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.22)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.22)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: kactivities-bin
Architecture: any
Multi-arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: qml-module-org-kde-extensionplugin
Depends: qml-module-org-kde-activities, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## kactivities-kf5 5.28.0

=== debian/changelog ===
kactivities-kf5 (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:07:11 +0100

kactivities-kf5 (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:08:29 +0200

kactivities-kf5 (5.26.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Drop Multi-arch: no field
  * Bump group breaks (5.26)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:02:55 +0200

kactivities-kf5 (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.23.0-1).
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Update symbols files.
  * Bump the breaks/replaces version for the renamed module
  * Bump group breaks (5.25)

  [ Harald Sitter ]
  * revise qml module
  * rename install file to match new package name

  [ Jonathan Riddell ]
  * add kactivities-bin

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:50:12 +0200

kactivities-kf5 (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 09:40:03 +0200

kactivities-kf5 (5.22.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from build logs

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2016 13:30:29 -0400

kactivities-kf5 (5.22.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Drop qt5-qmltooling-plugins build dependency
  * Update acc test script
  * Drop removed files.
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * Update symbols files.
  * Drop the kactivities package, moved to plasma.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 10:52:55 +0200

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               kio-dev (>= 5.26.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5declarative-dev (>= 5.19.0~),
               libkf5globalaccel-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.17.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5windowsystem-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities.git

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.
Breaks: libkf5activitiesstats1 (<< 5.28), plasma-framework (<< 5.28)

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: kactivities-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: qml-module-org-kde-extensionplugin
Depends: qml-module-org-kde-activities, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## kactivities-kf5 5.31.0

=== debian/changelog ===
kactivities-kf5 (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:52:15 +0000

kactivities-kf5 (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:36:04 +0000

kactivities-kf5 (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

  [ Simon Quigley ]
  * Merge from Debian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:18:21 +0000

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities

Package: libkf5activities-dev
Architecture: any
Section: libdevel
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: kactivities-bin
Architecture: any
Multi-arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: qml-module-org-kde-extensionplugin
Architecture: all
Section: oldlibs
Priority: extra
Depends: qml-module-org-kde-activities, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## kactivities-kf5 5.37.0

=== debian/changelog ===
kactivities-kf5 (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:30 +0200

kactivities-kf5 (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5activities-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set Priority to optional
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:54 +0200

kactivities-kf5 (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:42 +0200

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               doxygen,
               extra-cmake-modules (>= 5.37.0~),
               graphviz,
               kio-dev (>= 5.26.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.37.0~),
               libkf5coreaddons-dev (>= 5.37.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5declarative-dev (>= 5.19.0~),
               libkf5globalaccel-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.17.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5windowsystem-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.0
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kactivities.git

Package: kactivities-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
Recommends: libkf5activities-doc (= ${source:Version})
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library to organize the user work in separate activities (documentation)
 This library provides functionality for managing Activities.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.
Breaks: libkf5activitiesstats1 (<< 5.37), plasma-framework (<< 5.37)

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-extensionplugin
Depends: qml-module-org-kde-activities, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_QCH=ON

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5activities5-dbg (<= 5.19.0-1~~)'

## kactivities-kf5 5.38.0

=== debian/changelog ===
kactivities-kf5 (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:13:51 +0100

kactivities-kf5 (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:49:29 +0100

kactivities-kf5 (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:54:04 +0100

kactivities-kf5 (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:59:29 +0100

kactivities-kf5 (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:27:23 +0100

kactivities-kf5 (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:07:04 +0100

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.38.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.38.0~),
               libkf5coreaddons-dev (>= 5.38.0~),
               libkf5dbusaddons-dev (>= 5.38.0~),
               libkf5declarative-dev (>= 5.38.0~),
               libkf5globalaccel-dev (>= 5.38.0~),
               libkf5i18n-dev (>= 5.38.0~),
               libkf5kcmutils-dev (>= 5.38.0~),
               libkf5kio-dev (>= 5.38.0~),
               libkf5service-dev (>= 5.38.0~),
               libkf5widgetsaddons-dev (>= 5.38.0~),
               libkf5windowsystem-dev (>= 5.38.0~),
               libkf5xmlgui-dev (>= 5.38.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities

Package: libkf5activities-dev
Architecture: any
Section: libdevel
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~)
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: kactivities-bin
Architecture: any
Multi-arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: qml-module-org-kde-extensionplugin
Architecture: all
Section: oldlibs
Priority: extra
Depends: qml-module-org-kde-activities, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## kactivities-kf5 5.44.0

=== debian/changelog ===
kactivities-kf5 (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:01 +0000

kactivities-kf5 (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:13:46 +0000

kactivities-kf5 (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:19:45 +0000

kactivities-kf5 (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:02:47 -0600

kactivities-kf5 (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * Package priority 'extra' is depreciated in favour of 'optional'
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:14:55 +0000

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5declarative-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5kcmutils-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities

Package: kactivities-bin
Architecture: any
Multi-arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: libkf5activities-dev
Architecture: any
Section: libdevel
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

Package: qml-module-org-kde-extensionplugin
Architecture: all
Section: oldlibs
Priority: optional
Depends: qml-module-org-kde-activities, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5activities5-dbg (<= 5.19.0-1~~)'

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kactivities-([\d.]+)\.tar\.xz

## kactivities-kf5 5.50.0

=== debian/changelog ===
kactivities-kf5 (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:11:28 +0100

kactivities-kf5 (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:28:51 +0100

kactivities-kf5 (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - drop qml-module-org-kde-extensionplugin transitional package following
      Debian

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:47:34 +0100

kactivities-kf5 (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:21 +0200

kactivities-kf5 (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:54:47 +0100

kactivities-kf5 (5.45.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

  [ Manuel A. Fernandez Montecelo ]
  * riscv64: update symbols (Closes: 897941)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:57 +0200

kactivities-kf5 (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:18 +0100

kactivities-kf5 (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:00 +0100

kactivities-kf5 (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:27 +0100

kactivities-kf5 (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:31 +0100

kactivities-kf5 (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Drop qml-module-org-kde-extensionplugin transitional package.
    Thanks to Holger Levsen for checking and reporting (Closes: 873933)
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:01 -0300

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5dbusaddons-dev (>= 5.50.0~),
               libkf5declarative-dev (>= 5.50.0~),
               libkf5globalaccel-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5kcmutils-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5service-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libkf5xmlgui-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities

Package: kactivities-bin
Architecture: any
Multi-arch: no
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: libkf5activities-dev
Architecture: any
Section: libdevel
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Recommends: libkf5activities-doc (= ${source:Version})
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Library to organize the user work in separate activities (documentation)
 This library provides functionality for managing Activities.
 .
 This package contains the qch documentation files.

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.

## kactivities-kf5 5.54.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required(VERSION 3.5)

# KDE Frameworks
set(KF5_VERSION "5.54.0") # handled by release scripts
set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
project (KActivities VERSION ${KF5_VERSION})

option (KACTIVITIES_LIBRARY_ONLY "If true, compiles only the KActivities library, without the QML imports." OFF)
option (KACTIVITIES_ENABLE_EXCEPTIONS "If you have Boost 1.53, you need to build KActivities with exceptions enabled. This is UNTESTED and EXPERIMENTAL!" OFF)

set (REQUIRED_QT_VERSION 5.9.0)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities require an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
   )
endif ()

set (KACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMGenerateHeaders)
include (ECMQtDeclareLoggingCategory)
include (ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# Qt
set (CMAKE_AUTOMOC ON)
find_package (Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus)

# Basic includes
include (CPack)

include (CMakePackageConfigHelpers)
include (ECMSetupVersion)

message ("We are using the ${CMAKE_CXX_COMPILER_ID} compiler")
if ((CMAKE_CXX_COMPILER_ID STREQUAL "Clang") OR (KACTIVITIES_OVERRIDE_VISIBILITY STREQUAL "default"))
   message ("Setting visibility preset to default")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
   string (REPLACE "-fvisibility-inlines-hidden" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
   string (REPLACE "-fvisibility=hidden" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
endif ()

# libKActivities

ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX KACTIVITIES
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivities_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfigVersion.cmake"
   SOVERSION 5
   )



add_subdirectory (src)
if (BUILD_TESTING)
    add_subdirectory (autotests)
    add_subdirectory (tests)
endif()

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Activities")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Activities_QCH
        FILE KF5ActivitiesLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ActivitiesLibraryQchTargets.cmake\")")
endif()

install (
   EXPORT KF5ActivitiesLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE KF5ActivitiesLibraryTargets.cmake
   NAMESPACE KF5::
   )

configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   PATH_VARS  KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivities_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
   )

install( FILES kactivities.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kactivities-kf5 (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:19 -0300

kactivities-kf5 (5.51.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files, also from the logs of buildds.
    (Closes: #915317, #916154)
  * Remove unused (and wrong) 'testsuite' autopkgtest.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 12:28:23 +0100

kactivities-kf5 (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:22 +0100

kactivities-kf5 (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:01 +0200

kactivities-kf5 (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:01 +0200

=== debian/control ===
Source: kactivities-kf5
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5declarative-dev (>= 5.19.0~),
               libkf5globalaccel-dev (>= 5.19.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5kcmutils-dev (>= 5.19.0~),
               libkf5kio-dev (>= 5.28.0~),
               libkf5service-dev (>= 5.17.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5windowsystem-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities.git

Package: kactivities-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: libkf5activities-dev
Section: libdevel
Architecture: any
Depends: libkf5activities5 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Recommends: libkf5activities-doc (= ${source:Version})
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: libkf5activities-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Library to organize the user work in separate activities (documentation)
 This library provides functionality for managing Activities.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activities5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kactivities-bin, kactivitymanagerd
Description: Library to organize the user work in separate activities.
 This library provides functionality for managing Activities.
Breaks: libkf5activitiesstats1 (<< 5.54), plasma-framework (<< 5.54)

Package: qml-module-org-kde-activities
Architecture: any
Multi-arch: same
Depends: libkf5activities5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5activities5 (<< 5.1.0-0ubuntu1),
        qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Replaces: libkf5activities5 (<< 5.1.0-0ubuntu1),
          qml-module-org-kde-extensionplugin (<< 5.25.0-1~),
Description: provides integration of QML and KDE Frameworks
 This import contains KDE extras that are visually similar to Qt Quick
 Controls.
 .
 This package contains the QML files used by libkf5declarative.
